package meta_programming;

import java.lang.reflect.Method;

public class Sample06 {
	public static void main(String[] args) throws Exception {
		String fooValue = args[0];
		String barValue = args[1];
		String bazValue = args[2];

		FooForm form = FooForm.class.newInstance();
		Method method = FooForm.class.getMethod("setFoo",
				String.class);
		method.invoke(form, fooValue);
		System.out.println(form);

		method = FooForm.class.getMethod("setBar", String.class);
		method.invoke(form, barValue);
		System.out.println(form);

		method = FooForm.class.getMethod("setBaz", String.class);
		method.invoke(form, bazValue);
		System.out.println(form);
	}

	public static class FooForm {
		private String foo;

		private String bar;

		private String baz;

		public String getBar() {
			return bar;
		}

		public void setBar(String bar) {
			this.bar = bar;
		}

		public String getBaz() {
			return baz;
		}

		public void setBaz(String baz) {
			this.baz = baz;
		}

		public String getFoo() {
			return foo;
		}

		public void setFoo(String foo) {
			this.foo = foo;
		}

		@Override
		public String toString() {
			return foo + " " + bar + " " + baz;
		}
	}
}
