package meta_programming;

import java.lang.annotation.Annotation;
import java.lang.annotation.Inherited;

public class Sample05 {
	public static void main(String[] args)
			throws SecurityException, NoSuchMethodException {
		Class<Baz> clazz = Baz.class;
		Annotation[] annotations = clazz.getAnnotations();
		for (Annotation annotation : annotations) {
			System.out.println(annotation);
		}

		Inherited annotation = clazz
				.getAnnotation(Inherited.class);
		System.out.println(annotation);
	}

	@Deprecated
	public static class Baz {
	}
}
