package meta_programming;

public class Sample10 {
	public static void main(String[] args) throws Exception {
		Class<Foo> clazz = Foo.class;

		Foo foo = clazz.newInstance();

		foo = clazz.getConstructor(int.class).newInstance(10);

		foo = clazz.getConstructor(String.class, String.class)
				.newInstance("foo", "bar");
	}

	public static class Foo {
		public Foo() {
			System.out.println("Foo#Foo()");
		}

		public Foo(int i) {
			System.out.println("Foo#Foo(" + i + ")");
		}

		public Foo(String s0, String s1) {
			System.out.println("Foo#Foo(" + s0 + "," + s1 + ")");
		}
	}
}
